#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <shellapi.h>
#include <stdio.h>

void usage(void)
{
	puts(
		"\n"
		"ShellExec Version 0.01 Copyright (C) 2000 Alexander Foken\n"
		"=========\n"
		"\n"
		"A simple and stupid, quick and dirty command line interface to ShellExecute().\n"
		"\n"
		"Usage: shelexec [verb] file_or_url\n"
		"\n"
		"verb defaults to \"open\"\n"
		"Returns result of GetLastError(), i.e. 0 on success, non-zero on failure.\n"
		"\n"
		"This is free software under the GNU general public license, use and modify\n"
		"as you like, as long as you publish the source code.\n"
		"\n"
	);
}

int main(int argc, char *argv[])
{
	//HINSTANCE hi;
	DWORD err;
	char *oper, *file;
	
	if ((argc<2) || (argc>3)) {
		usage();
		return 1;
	}
	if (argc==2) {
		oper=NULL;
		file=argv[1];
	} else {
		oper=argv[1];
		file=argv[2];
	}	
	SetLastError(0);
	ShellExecute(0,oper,file,NULL,NULL,SW_SHOWNORMAL);
	/*
		HINSTANCE ShellExecute (
			HWND hwnd,
			LPCSTR lpOperation,
			LPCSTR lpFile,
			LPCSTR lpParameters,
			LPCSTR lpDirectory,
			INT nShowCmd
		)
	*/
	err=GetLastError();
	if (err>255) err=255;
	return err;
}
